package com.ruoyi.invest.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会议记录对象 t_project_meeting
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public class TProjectMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 会议主题 */
    @Excel(name = "会议主题")
    private String meetingTheme;

    /** 会议编号 */
    @Excel(name = "会议编号")
    private String meetingCode;

    /** 类别 */
    @Excel(name = "会议类别")
    private String meetingType;

    /** 项目ID */
    @Excel(name = "项目名称")
    private String projectPoolId;

    /** 会议开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "会议开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date startTime;

    /** 会议结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "会议结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date endTime;

    /** 会议地点 */
    @Excel(name = "会议地点")
    private String place;

    /** 会议发起人 */
    @Excel(name = "会议发起人")
    private String promoter;

    /** 会议发起人ID */
    private String promoterId;

    /** 会议参与人 */
    @Excel(name = "会议参与人",warpText = true)
    private String participants;

    /** 会议参与人ID */
    private String participantsId;

    /** 状态 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /**
     * 项目池
     */
    private TProjectPool tProjectPool;

    /** 所属组别 */
    private String projectGroup;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setMeetingTheme(String meetingTheme) 
    {
        this.meetingTheme = meetingTheme;
    }

    public String getMeetingTheme() 
    {
        return meetingTheme;
    }
    public void setMeetingCode(String meetingCode) 
    {
        this.meetingCode = meetingCode;
    }

    public String getMeetingCode() 
    {
        return meetingCode;
    }
    public void setMeetingType(String meetingType) 
    {
        this.meetingType = meetingType;
    }

    public String getMeetingType() 
    {
        return meetingType;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setPlace(String place) 
    {
        this.place = place;
    }

    public String getPlace() 
    {
        return place;
    }
    public void setPromoter(String promoter) 
    {
        this.promoter = promoter;
    }

    public String getPromoter() 
    {
        return promoter;
    }
    public void setParticipants(String participants) 
    {
        this.participants = participants;
    }

    public String getParticipants() 
    {
        return participants;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public TProjectPool gettProjectPool() {
        return tProjectPool;
    }

    public void settProjectPool(TProjectPool tProjectPool) {
        this.tProjectPool = tProjectPool;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getPromoterId() {
        return promoterId;
    }

    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    public String getParticipantsId() {
        return participantsId;
    }

    public void setParticipantsId(String participantsId) {
        this.participantsId = participantsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("meetingTheme", getMeetingTheme())
            .append("meetingCode", getMeetingCode())
            .append("meetingType", getMeetingType())
            .append("projectPoolId", getProjectPoolId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("place", getPlace())
            .append("promoter", getPromoter())
            .append("participants", getParticipants())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
